﻿/*
 * Generated by JasperReports - 13/12/04 09:43
 */
import net.sf.jasperreports.engine.*;
import net.sf.jasperreports.engine.fill.*;

import java.util.*;
import java.math.*;
import java.text.*;
import java.io.*;
import java.net.*;


/**
 *
 */
public class Schema_base extends JRCalculator
{


    private static final String CONSTANT_1 = "REPORT_CONNECTION"; //$NON-NLS-1$
    /**
     *
     */
    private JRFillParameter parameter_REPORT_CONNECTION = null;
    private JRFillParameter parameter_REPORT_PARAMETERS_MAP = null;
    private JRFillParameter parameter_REPORT_DATA_SOURCE = null;
    private JRFillParameter parameter_REPORT_SCRIPTLET = null;

    private JRFillField field_COLUMN_ID = null;
    private JRFillField field_DATA_SCALE = null;
    private JRFillField field_NULLABLE = null;
    private JRFillField field_DATA_PRECISION = null;
    private JRFillField field_DATA_LENGTH = null;
    private JRFillField field_COLONNE = null;
    private JRFillField field_DATA_TYPE = null;
    private JRFillField field_COMMENTS = null;
    private JRFillField field_TABLE_NAME = null;

    private JRFillVariable variable_PAGE_NUMBER = null;
    private JRFillVariable variable_COLUMN_NUMBER = null;
    private JRFillVariable variable_REPORT_COUNT = null;
    private JRFillVariable variable_PAGE_COUNT = null;
    private JRFillVariable variable_COLUMN_COUNT = null;
    private JRFillVariable variable_TODAY = null;
    private JRFillVariable variable_TAILLE = null;
    private JRFillVariable variable_table_name_COUNT = null;


    /**
     *
     */
    public void customizedInit(
        Map pm,
        Map fm,
        Map vm
        ) throws JRException
    {
        parameter_REPORT_CONNECTION = (JRFillParameter)parsm.get(CONSTANT_1);
        parameter_REPORT_PARAMETERS_MAP = (JRFillParameter)parsm.get("REPORT_PARAMETERS_MAP");
        parameter_REPORT_DATA_SOURCE = (JRFillParameter)parsm.get("REPORT_DATA_SOURCE");
        parameter_REPORT_SCRIPTLET = (JRFillParameter)parsm.get("REPORT_SCRIPTLET");

        field_COLUMN_ID = (JRFillField)fldsm.get("COLUMN_ID");
        field_DATA_SCALE = (JRFillField)fldsm.get("DATA_SCALE");
        field_NULLABLE = (JRFillField)fldsm.get("NULLABLE");
        field_DATA_PRECISION = (JRFillField)fldsm.get("DATA_PRECISION");
        field_DATA_LENGTH = (JRFillField)fldsm.get("DATA_LENGTH");
        field_COLONNE = (JRFillField)fldsm.get("COLONNE");
        field_DATA_TYPE = (JRFillField)fldsm.get("DATA_TYPE");
        field_COMMENTS = (JRFillField)fldsm.get("COMMENTS");
        field_TABLE_NAME = (JRFillField)fldsm.get("TABLE_NAME");

        variable_PAGE_NUMBER = (JRFillVariable)varsm.get("PAGE_NUMBER");
        variable_COLUMN_NUMBER = (JRFillVariable)varsm.get("COLUMN_NUMBER");
        variable_REPORT_COUNT = (JRFillVariable)varsm.get("REPORT_COUNT");
        variable_PAGE_COUNT = (JRFillVariable)varsm.get("PAGE_COUNT");
        variable_COLUMN_COUNT = (JRFillVariable)varsm.get("COLUMN_COUNT");
        variable_TODAY = (JRFillVariable)varsm.get("TODAY");
        variable_TAILLE = (JRFillVariable)varsm.get("TAILLE");
        variable_table_name_COUNT = (JRFillVariable)varsm.get("table_name_COUNT");
    }


    /**
     * Test method
     */
    public static void helloJasper()
    {
        System.out.println("------------------------------");
        System.out.println(" Hello, Jasper!...");
        System.out.println("------------------------------");
    }


    /**
     *
     */
    public Object evaluate(int id) throws Throwable
    {
        Object value = null;

        switch (id)
        {
            case 12 : // variable_table_name_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 0 : // variableInitialValue_PAGE_NUMBER
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 24 : // textField_11
            {
                value = (java.lang.Integer)(((java.lang.Integer)variable_PAGE_NUMBER.getValue()));
                break;
            }
            case 11 : // textField_1
            {
                value = (java.lang.String)(((java.lang.String)field_TABLE_NAME.getValue()));
                break;
            }
            case 20 : // textField_7
            {
                value = (java.lang.String)(((java.lang.String)variable_TAILLE.getValue()));
                break;
            }
            case 9 : // variable_TAILLE
            {
                value = (java.lang.String)((((java.lang.String)field_DATA_PRECISION.getValue())!=null?((java.lang.String)field_DATA_PRECISION.getValue())+","+((java.lang.String)field_DATA_SCALE.getValue()):""));
                break;
            }
            case 5 : // variableInitialValue_PAGE_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 10 : // group_table_name
            {
                value = (java.lang.Object)(((java.lang.String)field_TABLE_NAME.getValue()));
                break;
            }
            case 13 : // variableInitialValue_table_name_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 21 : // textField_8
            {
                value = (java.lang.String)(("Y".equals(((java.lang.String)field_NULLABLE.getValue()))?"NULL":"NOT NULL"));
                break;
            }
            case 4 : // variable_PAGE_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 6 : // variable_COLUMN_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 23 : // textField_10
            {
                value = (java.lang.Integer)(((java.lang.Integer)variable_PAGE_NUMBER.getValue()));
                break;
            }
            case 19 : // textField_6
            {
                value = (java.lang.String)(((java.lang.String)field_COMMENTS.getValue()));
                break;
            }
            case 18 : // textField_5
            {
                value = (java.lang.String)(((java.lang.String)field_DATA_LENGTH.getValue()));
                break;
            }
            case 7 : // variableInitialValue_COLUMN_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 8 : // variable_TODAY
            {
                value = (java.util.Date)(new Date());
                break;
            }
            case 17 : // textField_4
            {
                value = (java.lang.String)(((java.lang.String)field_DATA_TYPE.getValue()));
                break;
            }
            case 14 : // printWhen_1
            {
                value = (java.lang.Boolean)(new Boolean((((java.lang.Integer)variable_PAGE_NUMBER.getValue())).intValue()>1));
                break;
            }
            case 15 : // textField_2
            {
                value = (java.util.Date)(((java.util.Date)variable_TODAY.getValue()));
                break;
            }
            case 1 : // variableInitialValue_COLUMN_NUMBER
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 3 : // variableInitialValue_REPORT_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 2 : // variable_REPORT_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 22 : // textField_9
            {
                value = (java.lang.String)(((java.lang.String)field_COLUMN_ID.getValue()));
                break;
            }
            case 16 : // textField_3
            {
                value = (java.lang.String)(((java.lang.String)field_COLONNE.getValue()));
                break;
            }
           default :
           {
           }
        }
        
        return value;
    }


    /**
     *
     */
    public Object evaluateOld(int id) throws Throwable
    {
        Object value = null;

        switch (id)
        {
            case 12 : // variable_table_name_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 0 : // variableInitialValue_PAGE_NUMBER
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 24 : // textField_11
            {
                value = (java.lang.Integer)(((java.lang.Integer)variable_PAGE_NUMBER.getOldValue()));
                break;
            }
            case 11 : // textField_1
            {
                value = (java.lang.String)(((java.lang.String)field_TABLE_NAME.getOldValue()));
                break;
            }
            case 20 : // textField_7
            {
                value = (java.lang.String)(((java.lang.String)variable_TAILLE.getOldValue()));
                break;
            }
            case 9 : // variable_TAILLE
            {
                value = (java.lang.String)((((java.lang.String)field_DATA_PRECISION.getOldValue())!=null?((java.lang.String)field_DATA_PRECISION.getOldValue())+","+((java.lang.String)field_DATA_SCALE.getOldValue()):""));
                break;
            }
            case 5 : // variableInitialValue_PAGE_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 10 : // group_table_name
            {
                value = (java.lang.Object)(((java.lang.String)field_TABLE_NAME.getOldValue()));
                break;
            }
            case 13 : // variableInitialValue_table_name_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 21 : // textField_8
            {
                value = (java.lang.String)(("Y".equals(((java.lang.String)field_NULLABLE.getOldValue()))?"NULL":"NOT NULL"));
                break;
            }
            case 4 : // variable_PAGE_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 6 : // variable_COLUMN_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 23 : // textField_10
            {
                value = (java.lang.Integer)(((java.lang.Integer)variable_PAGE_NUMBER.getOldValue()));
                break;
            }
            case 19 : // textField_6
            {
                value = (java.lang.String)(((java.lang.String)field_COMMENTS.getOldValue()));
                break;
            }
            case 18 : // textField_5
            {
                value = (java.lang.String)(((java.lang.String)field_DATA_LENGTH.getOldValue()));
                break;
            }
            case 7 : // variableInitialValue_COLUMN_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 8 : // variable_TODAY
            {
                value = (java.util.Date)(new Date());
                break;
            }
            case 17 : // textField_4
            {
                value = (java.lang.String)(((java.lang.String)field_DATA_TYPE.getOldValue()));
                break;
            }
            case 14 : // printWhen_1
            {
                value = (java.lang.Boolean)(new Boolean((((java.lang.Integer)variable_PAGE_NUMBER.getOldValue())).intValue()>1));
                break;
            }
            case 15 : // textField_2
            {
                value = (java.util.Date)(((java.util.Date)variable_TODAY.getOldValue()));
                break;
            }
            case 1 : // variableInitialValue_COLUMN_NUMBER
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 3 : // variableInitialValue_REPORT_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 2 : // variable_REPORT_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 22 : // textField_9
            {
                value = (java.lang.String)(((java.lang.String)field_COLUMN_ID.getOldValue()));
                break;
            }
            case 16 : // textField_3
            {
                value = (java.lang.String)(((java.lang.String)field_COLONNE.getOldValue()));
                break;
            }
           default :
           {
           }
        }
        
        return value;
    }


    /**
     *
     */
    public Object evaluateEstimated(int id) throws Throwable
    {
        Object value = null;

        switch (id)
        {
            case 12 : // variable_table_name_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 0 : // variableInitialValue_PAGE_NUMBER
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 24 : // textField_11
            {
                value = (java.lang.Integer)(((java.lang.Integer)variable_PAGE_NUMBER.getEstimatedValue()));
                break;
            }
            case 11 : // textField_1
            {
                value = (java.lang.String)(((java.lang.String)field_TABLE_NAME.getValue()));
                break;
            }
            case 20 : // textField_7
            {
                value = (java.lang.String)(((java.lang.String)variable_TAILLE.getEstimatedValue()));
                break;
            }
            case 9 : // variable_TAILLE
            {
                value = (java.lang.String)((((java.lang.String)field_DATA_PRECISION.getValue())!=null?((java.lang.String)field_DATA_PRECISION.getValue())+","+((java.lang.String)field_DATA_SCALE.getValue()):""));
                break;
            }
            case 5 : // variableInitialValue_PAGE_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 10 : // group_table_name
            {
                value = (java.lang.Object)(((java.lang.String)field_TABLE_NAME.getValue()));
                break;
            }
            case 13 : // variableInitialValue_table_name_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 21 : // textField_8
            {
                value = (java.lang.String)(("Y".equals(((java.lang.String)field_NULLABLE.getValue()))?"NULL":"NOT NULL"));
                break;
            }
            case 4 : // variable_PAGE_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 6 : // variable_COLUMN_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 23 : // textField_10
            {
                value = (java.lang.Integer)(((java.lang.Integer)variable_PAGE_NUMBER.getEstimatedValue()));
                break;
            }
            case 19 : // textField_6
            {
                value = (java.lang.String)(((java.lang.String)field_COMMENTS.getValue()));
                break;
            }
            case 18 : // textField_5
            {
                value = (java.lang.String)(((java.lang.String)field_DATA_LENGTH.getValue()));
                break;
            }
            case 7 : // variableInitialValue_COLUMN_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 8 : // variable_TODAY
            {
                value = (java.util.Date)(new Date());
                break;
            }
            case 17 : // textField_4
            {
                value = (java.lang.String)(((java.lang.String)field_DATA_TYPE.getValue()));
                break;
            }
            case 14 : // printWhen_1
            {
                value = (java.lang.Boolean)(new Boolean((((java.lang.Integer)variable_PAGE_NUMBER.getEstimatedValue())).intValue()>1));
                break;
            }
            case 15 : // textField_2
            {
                value = (java.util.Date)(((java.util.Date)variable_TODAY.getEstimatedValue()));
                break;
            }
            case 1 : // variableInitialValue_COLUMN_NUMBER
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 3 : // variableInitialValue_REPORT_COUNT
            {
                value = (java.lang.Integer)(new Integer(0));
                break;
            }
            case 2 : // variable_REPORT_COUNT
            {
                value = (java.lang.Integer)(new Integer(1));
                break;
            }
            case 22 : // textField_9
            {
                value = (java.lang.String)(((java.lang.String)field_COLUMN_ID.getValue()));
                break;
            }
            case 16 : // textField_3
            {
                value = (java.lang.String)(((java.lang.String)field_COLONNE.getValue()));
                break;
            }
           default :
           {
           }
        }
        
        return value;
    }


}
